Test the named credentials provided in the list
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/namedCredentials/actions/bulkTest
Instance credentials are tested against the credential target. Global credentials are tested against the target provided.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectThis consists of list of Named Credential Test Criteria.
Show Source
-
testNamedCredentialRequests: array
testNamedCredentialRequests
This represents a list of Named Credential Test Criteria
Nested Schema : testNamedCredentialRequests
Type:
arrayThis represents a list of Named Credential Test Criteria
Show Source
-
Array of:
object TestCredentialCriteria
This consists of data required to test a named credential
Nested Schema : TestCredentialCriteria
Type:
objectThis consists of data required to test a named credential
Show Source
-
authenticationTestTargetName: string
Test target nameExample:
testhost.example.com -
authenticationTestTargetTypeName: string
Name of the test target typeExample:
host -
credentialNameAndOwnerCollection(required): array
credentialNameAndOwnerCollection
Credential name list
Nested Schema : credentialNameAndOwnerCollection
Type:
arrayCredential name list
Show Source
-
Array of:
object CredentialNameAndOwnerCollection
Credential name and owner for named credential to test
Nested Schema : CredentialNameAndOwnerCollection
Type:
objectCredential name and owner for named credential to test
Show Source
-
credNames(required): array
credNames
List of Named credentials for a particular owner
-
credOwner: string
Owner of named credential. If not provided it would default to current logged-in userExample:
ADMIN1
Nested Schema : credNames
Type:
arrayList of Named credentials for a particular owner
Show Source
-
Array of:
string
Example:
NAMEDCRED1, NAMEDCRED2
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Named credentials test information is given successfully
Root Schema : NamedCredentialTestResultCollection
Type:
objectThis represents the list of different Global/Target instance tested over named credentials
Show Source
-
count: integer
The number of the different Global/Target instance tested over named credentialsExample:
5 -
items: array
items
This is the list of different Global/Target instance tested over named credentials
Nested Schema : items
Type:
arrayThis is the list of different Global/Target instance tested over named credentials
Show Source
-
Array of:
object NamedCredentialsTestResultsDetailsCollection
This represents the Result data of the named credentials tested
Nested Schema : NamedCredentialsTestResultsDetailsCollection
Type:
objectThis represents the Result data of the named credentials tested
Show Source
-
authenticationTestTargetName: string
Test target nameExample:
server1.example.com -
authenticationTestTargetTypeName: string
Name of the test target typeExample:
host -
count: integer
The number of the different named credentials blocks tested separated by global/target instanceExample:
10 -
namedCredentialsTestResponseCollection: array
namedCredentialsTestResponseCollection
Collection of Named credentials names and its results
Nested Schema : namedCredentialsTestResponseCollection
Type:
arrayCollection of Named credentials names and its results
Show Source
-
Array of:
object NamedCredentialsTestResult
This represents the Result data of the named credentials tested
Nested Schema : NamedCredentialsTestResult
Type:
objectThis represents the Result data of the named credentials tested
Show Source
-
credentialName: string
Name for a named credentialExample:
NAMEDCRED1 -
errorMessage: string
Error message when named credential test is unsuccessful.Example:
Authentication failure, check credential properties -
isPassed: boolean
True if test was successful. False otherwiseExample:
true
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message